Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnstructuredGridToPolyDataFilter Class Reference

`#include <vtkUnstructuredGridToPolyDataFilter.h>`

Inheritance diagram for vtkUnstructuredGridToPolyDataFilter:

[legend]
Collaboration diagram for vtkUnstructuredGridToPolyDataFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.9

vtkUnstructuredGridToPolyDataFilter is an abstract filter class whose subclasses take as input datasets of type vtkUnstructuredGrid and generate polygonal data on output.

See also:
  vtkContourGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (76%)
  - Cedilnik, Andy (16%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkUnstructuredGridToPolyDataFilter.cxx)`
  - .`h` (`/Filtering/vtkUnstructuredGridToPolyDataFilter.h)`

Definition at line 48 of file vtkUnstructuredGridToPolyDataFilter.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | ComputeInputUpdateExtents (vtkDataObject *output)
virtual void | SetInput (vtkUnstructuredGrid *input)
vtkUnstructuredGrid * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkUnstructuredGridToPolyDataFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnstructuredGridToPolyDataFilter ()
| ~vtkUnstructuredGridToPolyDataFilter ()

## Member Typedef Documentation

typedef vtkPolyDataSource vtkUnstructuredGridToPolyDataFilter::Superclass

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkContourGrid. Definition at line 51 of file vtkUnstructuredGridToPolyDataFilter.h.

## Constructor & Destructor Documentation

vtkUnstructuredGridToPolyDataFilter::vtkUnstructuredGridToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkUnstructuredGridToPolyDataFilter.h.

vtkUnstructuredGridToPolyDataFilter::~vtkUnstructuredGridToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkUnstructuredGridToPolyDataFilter.h.

## Member Function Documentation

virtual const char* vtkUnstructuredGridToPolyDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkContourGrid.

int vtkUnstructuredGridToPolyDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkContourGrid.

virtual int vtkUnstructuredGridToPolyDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkContourGrid.

vtkUnstructuredGridToPolyDataFilter* vtkUnstructuredGridToPolyDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkContourGrid.

void vtkUnstructuredGridToPolyDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource. Reimplemented in vtkContourGrid.

virtual void vtkUnstructuredGridToPolyDataFilter::SetInput | ( | vtkUnstructuredGrid * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkUnstructuredGrid* vtkUnstructuredGridToPolyDataFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

virtual void vtkUnstructuredGridToPolyDataFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[virtual]`

| Do not let datasets return more than requested. Reimplemented from vtkPolyDataSource.

The documentation for this class was generated from the following file:

- Filtering/vtkUnstructuredGridToPolyDataFilter.h